Package org.apache.catalina.tribes.membership.cloud

## Interface CloudMembershipServiceMBean

- All Known Implementing Classes:
    `CloudMembershipService`

      public interface CloudMembershipServiceMBean

- - ### Method Summary

    All Methods Instance Methods Abstract Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `Member` | `findMemberByName​(java.lang.String name)` |
    `int` | `getConnectTimeout()` |
    `long` | `getExpirationTime()` |
    `java.lang.String[]` | `getMembersByName()` |
    `java.util.Properties` | `getProperties()` |
    `int` | `getReadTimeout()` |
    `boolean` | `hasMembers()` |

- - ### Method Detail

    - #### getConnectTimeout

          int getConnectTimeout()

    - #### getReadTimeout

          int getReadTimeout()

    - #### getExpirationTime

          long getExpirationTime()

    - #### getProperties

          java.util.Properties getProperties()

    - #### hasMembers

          boolean hasMembers()

    - #### getMembersByName

          java.lang.String[] getMembersByName()

    - #### findMemberByName

          Member findMemberByName​(java.lang.String name)